using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class tableName : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterTable(
                name: "ReadingImportFile",
                comment: "阅片导入表",
                oldComment: "阅片导出表");

            migrationBuilder.AddColumn<string>(
                name: "TableName",
                table: "ReadingImportFile",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "TableName",
                table: "ReadingImportFile");

            migrationBuilder.AlterTable(
                name: "ReadingImportFile",
                comment: "阅片导出表",
                oldComment: "阅片导入表");
        }
    }
}
